Package weka.estimators

# Class NormalEstimator

java.lang.Object
weka.estimators.Estimator
weka.estimators.NormalEstimator

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`, `IncrementalEstimator`

public class NormalEstimator extends Estimator implements IncrementalEstimator
Simple probability estimator that places a single normal distribution over the observed values.

Version:
  $Revision: 5540 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NormalEstimator(double precision)`
Constructor that takes a precision argument.

## Method Summary

Modifier and Type
Method
Description
`void`
`addValue(double data, double weight)`
Add a new data value to the current estimator.
`Capabilities`
`getCapabilities()`
Returns default capabilities of the classifier.
`double`
`getMean()`
Return the value of the mean of this normal estimator.
`double`
`getPrecision()`
Return the value of the precision of this normal estimator.
`double`
`getProbability(double data)`
Get a probability estimate for a value
`String`
`getRevision()`
Returns the revision string.
`double`
`getStdDev()`
Return the value of the standard deviation of this normal estimator.
`double`
`getSumOfWeights()`
Return the sum of the weights for this normal estimator.
`static void`
`main(String[] argv)`
Main method for testing this class.
`String`
`toString()`
Display a representation of this estimator

### Methods inherited from class weka.estimators.Estimator

`addValues, addValues, addValues, addValues, buildEstimator, buildEstimator, clone, debugTipText, equals, forName, getDebug, getOptions, listOptions, makeCopies, makeCopy, setDebug, setOptions, testCapabilities`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NormalEstimator

public NormalEstimator(double precision)
Constructor that takes a precision argument.

Parameters:
  `precision` - the precision to which numeric values are given. For example, if the precision is stated to be 0.1, the values in the interval (0.25,0.35] are all treated as 0.3.

## Method Details

### addValue

public void addValue(double data, double weight)
Add a new data value to the current estimator.

Specified by:
  `addValue` in interface `IncrementalEstimator`
Overrides:
  `addValue` in class `Estimator`
Parameters:
  `data` - the new data value
  `weight` - the weight assigned to the data value

### getProbability

public double getProbability(double data)
Get a probability estimate for a value

Specified by:
  `getProbability` in class `Estimator`
Parameters:
  `data` - the value to estimate the probability of
Returns:
  the estimated probability of the supplied value

### toString

public String toString()
Display a representation of this estimator

Overrides:
  `toString` in class `Object`

### getCapabilities

public Capabilities getCapabilities()
Returns default capabilities of the classifier.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Estimator`
Returns:
  the capabilities of this classifier
See Also:
  - `Capabilities`

### getMean

public double getMean()
Return the value of the mean of this normal estimator.

Returns:
  the mean

### getStdDev

public double getStdDev()
Return the value of the standard deviation of this normal estimator.

Returns:
  the standard deviation

### getPrecision

public double getPrecision()
Return the value of the precision of this normal estimator.

Returns:
  the precision

### getSumOfWeights

public double getSumOfWeights()
Return the sum of the weights for this normal estimator.

Returns:
  the sum of the weights

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision

### main

public static void main(String[] argv)
Main method for testing this class.

Parameters:
  `argv` - should contain a sequence of numeric values